Freeciv-3.3: tab_misc Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Attributes
tab_misc Class Reference

`#include <tab_misc.h>`

Inheritance diagram for tab_misc:

## Public Member Functions

| tab_misc (ruledit_gui *ui_in)
void | ruleset_loaded ()
void | refresh ()
void | flush_widgets ()

## Private Slots

void | save_now ()
void | refresh_stats ()
void | edit_aae_effects ()
void | edit_all_effects ()
void | desc_file_toggle (bool checked)
void | sanity_check ()

## Private Attributes

ruledit_gui * | ui
QLineEdit * | name
QLineEdit * | version
QLineEdit * | savedir
QCheckBox * | savedir_version
QTableWidget * | stats
QCheckBox * | desc_via_file
QLineEdit * | desc_file

## Detailed Description

Definition at line 26 of file tab_misc.h.

## Constructor & Destructor Documentation

## ◆ tab_misc()

tab_misc::tab_misc | ( | ruledit_gui * | ui_in | ) |

explicit

Setup tab_misc object

Definition at line 57 of file tab_misc.cpp.

## Member Function Documentation

## ◆ desc_file_toggle

void tab_misc::desc_file_toggle | ( | bool | checked | ) |

privateslot

Toggled description from file setting

Definition at line 532 of file tab_misc.cpp.

Referenced by tab_misc().

## ◆ edit_aae_effects

void tab_misc::edit_aae_effects | ( |  | ) |

privateslot

User wants to edit always active effects

Definition at line 466 of file tab_misc.cpp.

Referenced by tab_misc().

## ◆ edit_all_effects

void tab_misc::edit_all_effects | ( |  | ) |

privateslot

User wants to edit effects from full list

Definition at line 505 of file tab_misc.cpp.

Referenced by tab_misc().

## ◆ flush_widgets()

void tab_misc::flush_widgets | ( |  | ) |

Flush information from widgets to stores where it can be saved from.

Definition at line 514 of file tab_misc.cpp.

Referenced by ruledit_gui::flush_widgets().

## ◆ refresh()

void tab_misc::refresh | ( |  | ) |

Refresh the information.

Definition at line 266 of file tab_misc.cpp.

Referenced by ruleset_loaded(), and tab_misc().

## ◆ refresh_stats

void tab_misc::refresh_stats | ( |  | ) |

privateslot

Recalculate stats

Definition at line 337 of file tab_misc.cpp.

Referenced by refresh(), and tab_misc().

## ◆ ruleset_loaded()

void tab_misc::ruleset_loaded | ( |  | ) |

Setup the information from loaded ruleset

Definition at line 251 of file tab_misc.cpp.

Referenced by ruledit_gui::launch_now().

## ◆ sanity_check

void tab_misc::sanity_check | ( |  | ) |

privateslot

Run sanity check for current rules

Definition at line 485 of file tab_misc.cpp.

Referenced by tab_misc().

## ◆ save_now

void tab_misc::save_now | ( |  | ) |

privateslot

User entered savedir

Definition at line 276 of file tab_misc.cpp.

Referenced by tab_misc().

## Field Documentation

## ◆ desc_file

QLineEdit* tab_misc::desc_file

private

Definition at line 52 of file tab_misc.h.

Referenced by desc_file_toggle(), flush_widgets(), ruleset_loaded(), and tab_misc().

## ◆ desc_via_file

QCheckBox* tab_misc::desc_via_file

private

Definition at line 51 of file tab_misc.h.

Referenced by flush_widgets(), ruleset_loaded(), and tab_misc().

## ◆ name

QLineEdit* tab_misc::name

private

Definition at line 46 of file tab_misc.h.

Referenced by refresh(), save_now(), and tab_misc().

## ◆ savedir

QLineEdit* tab_misc::savedir

private

Definition at line 48 of file tab_misc.h.

Referenced by save_now(), and tab_misc().

## ◆ savedir_version

QCheckBox* tab_misc::savedir_version

private

Definition at line 49 of file tab_misc.h.

Referenced by save_now(), and tab_misc().

## ◆ stats

QTableWidget* tab_misc::stats

private

Definition at line 50 of file tab_misc.h.

Referenced by refresh_stats(), and tab_misc().

## ◆ ui

ruledit_gui* tab_misc::ui

private

Definition at line 45 of file tab_misc.h.

Referenced by edit_aae_effects(), edit_all_effects(), sanity_check(), save_now(), and tab_misc().

## ◆ version

QLineEdit* tab_misc::version

private

Definition at line 47 of file tab_misc.h.

Referenced by refresh(), save_now(), and tab_misc().